Extending Qt Creator Manual | ASTFunctionValue

Extending Qt Creator Manual 4.3.0

# ASTFunctionValue Class

(QmlJS::ASTFunctionValue)

Inherits: | QmlJS::FunctionValue

- List of all members, including inherited members

## Public Functions

| ASTFunctionValue(AST::FunctionExpression *ast, const Document *doc, ValueOwner *valueOwner)
| ~ASTFunctionValue()
AST::FunctionExpression * | ast() const

- 6 public functions inherited from QmlJS::FunctionValue
- 14 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### ASTFunctionValue::ASTFunctionValue(AST::FunctionExpression *ast, const Document *doc, ValueOwner *valueOwner)

Default constructs an instance of ASTFunctionValue.

### ASTFunctionValue::~ASTFunctionValue()

Destroys the instance of ASTFunctionValue.

### AST::FunctionExpression *ASTFunctionValue::ast() const